#! /bin/sh

TV=/mnt/temp/tv
DATEFORMAT=+%a_%d.%m.%y_%H.%M

if [ $# -lt 3 ]; then
		echo "usage: $0 TITRE CHAINE DUREE [CARTE]"
		exit 1
fi

TITRE=$1
CHAINE=$2
DUREE=$3
CARTE=$4

date=$(date $DATEFORMAT)
date_rapport=$(date "+%c")
nomchaine=$(echo $CHAINE | sed 's/ /_'/)
base=$TV/$TITRE-$nomchaine-$date
avi=$base.avi
log=/dev/null #$base.log
options=""

carte="2@"
[ -n "$CARTE" ] && carte="$CARTE"@

if [ "$CHAINE" = "M6" ]; then
		options=$options" -cache 16384"
fi

if [ "$CHAINE" = "W9" ]; then
		options=$options" -cache 16384"
fi

cmd="mencoder $options -o '$avi' -ovc copy -oac copy -endpos $DUREE \"dvb://$carte$CHAINE\" >$log"

sh -c "$cmd"
ret=$?

[ -e "$avi" ] && chgrp tv $avi

echo "Enregistrement télévision"
echo "Titre          : $TITRE"
echo "Chaine         : $CHAINE"
echo "Début          : $date_rapport"
echo "Fin            : $(date '+%c')"
echo "Durée          : $DUREE"
echo "Carte          : $CARTE"
echo "Fichier        : $avi"
echo "Machine        : $(hostname)"
echo "Code de retour : $ret"
echo "Commande       : $cmd"

